curl --request POST \
--url 'https://api.example.com/api/response/thread-analytics' \
--header 'x-widget-token: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orgId": "string",
"agentId": "string",
"limit": 1,
"includeThreads": true,
"sampleLimit": 1
}'
{
"ok": true,
"generatedAt": "2026-07-24T12:00:00Z",
"analysis": {
"summary": {
"totalThreads": 1,
"totalResponsePairs": 1,
"singleResponseThreads": 1,
"multiResponseThreads": 1,
"followupPairsBeyondFirst": 1
},
"singleResponseReasons": [
{
"reason": null,
"threads": null,
"pctOfThreads": null
}
],
"multiResponseReasons": [
{
"reason": null,
"threads": null,
"responsePairs": null
}
],
"pairCountDistribution": [
{
"responsePairs": null,
"threads": null
}
],
"daily": [
{
"date": null,
"singleResponseThreads": null
}
]
}
}
Thread analytics (POST form)
Thread analytics (POST form)
POST
/
api
/
response
/
thread-analytics
curl --request POST \
--url 'https://api.example.com/api/response/thread-analytics' \
--header 'x-widget-token: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orgId": "string",
"agentId": "string",
"limit": 1,
"includeThreads": true,
"sampleLimit": 1
}'
{
"ok": true,
"generatedAt": "2026-07-24T12:00:00Z",
"analysis": {
"summary": {
"totalThreads": 1,
"totalResponsePairs": 1,
"singleResponseThreads": 1,
"multiResponseThreads": 1,
"followupPairsBeyondFirst": 1
},
"singleResponseReasons": [
{
"reason": null,
"threads": null,
"pctOfThreads": null
}
],
"multiResponseReasons": [
{
"reason": null,
"threads": null,
"responsePairs": null
}
],
"pairCountDistribution": [
{
"responsePairs": null,
"threads": null
}
],
"daily": [
{
"date": null,
"singleResponseThreads": null
}
]
}
}
Request body
ThreadAnalyticsRequest
string
required
string
required
number
default 5000
boolean
number
default 10
Response
ThreadAnalyticsResponse
boolean
string (date-time)
object
Show analysis
Show analysis
object[]
object[]
Status codes
| Code | Meaning |
|---|---|
200 | OK |
400 | Error |
401 | Error |
curl --request POST \
--url 'https://api.example.com/api/response/thread-analytics' \
--header 'x-widget-token: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orgId": "string",
"agentId": "string",
"limit": 1,
"includeThreads": true,
"sampleLimit": 1
}'
{
"ok": true,
"generatedAt": "2026-07-24T12:00:00Z",
"analysis": {
"summary": {
"totalThreads": 1,
"totalResponsePairs": 1,
"singleResponseThreads": 1,
"multiResponseThreads": 1,
"followupPairsBeyondFirst": 1
},
"singleResponseReasons": [
{
"reason": null,
"threads": null,
"pctOfThreads": null
}
],
"multiResponseReasons": [
{
"reason": null,
"threads": null,
"responsePairs": null
}
],
"pairCountDistribution": [
{
"responsePairs": null,
"threads": null
}
],
"daily": [
{
"date": null,
"singleResponseThreads": null
}
]
}
}